Skip to main content

Wallet Limits

Returns card creation restrictions and the list of BINs available for issuing cards from this wallet.


Endpoint​

GET /api/v2/organizations/{org_id}/wallets/{wallet_id}/limits

Path Parameters​

ParameterTypeRequiredDescription
org_idstringYesYour organization ID
wallet_idstringYesWallet UUID

Request​

curl "https://api.4pay.cc/api/v2/organizations/{org_id}/wallets/{wallet_id}/limits" \
-H "Authorization: Bearer YOUR_API_KEY"

Response​

200 OK
{
"data": {
"limits": [
{
"type": "daily_limit",
"amountMin": "10.00",
"amountMax": "10000.00"
},
{
"type": "monthly_limit",
"amountMin": "100.00",
"amountMax": "50000.00"
},
{
"type": "transaction_limit",
"amountMin": "1.00",
"amountMax": "5000.00"
}
],
"binList": [
{
"cardProviderBinId": "ff246e21-3bda-4e47-83fb-05203939fe5b",
"bin": "411111",
"cardNetwork": "Visa",
"categoryIds": ["7c9e6679-7425-40de-944b-e07fc1f90ae7"]
}
],
"cardBalance": true
}
}

Response Fields​

FieldTypeDescription
limitsarrayAllowed ranges for card spending limits
limits[].typestringLimit type: daily_limit, monthly_limit, transaction_limit, etc.
limits[].amountMinstringMinimum value when setting this limit on a card
limits[].amountMaxstringMaximum value when setting this limit on a card
binListarrayBINs available for card issuance from this wallet
binList[].cardProviderBinIdstringUse this ID when issuing a card
binList[].binstringFirst 6 digits of the card number
binList[].cardNetworkstringVisa or Mastercard
binList[].categoryIdsarrayBIN category IDs this BIN belongs to
cardBalancebooleanWhether cards from this wallet have individual balances
Use this endpoint before issuing cards

Check limits to validate that your card spending limits fall within the allowed ranges, and use binList to pick the right cardProviderBinId for card issuance.